Package com.collabnet.ce.soap60.webservices.page

# Class PageAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.page.PageAppSoapMockStub

All Implemented Interfaces:
  `IPageAppSoap`

public class PageAppSoapMockStub extends ClientSoapMockStub implements IPageAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype)`
  Simulate a call to addPageImage
  `void`
  `assertAttributesNotEmpty(SoapNamedValues attributes)`
  Simulate a call to assertAttributesNotEmpty
  `PageComponentSoapDO`
  `createComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content)`
  Simulate a call to createComponent
  `PageComponent2SoapDO`
  `createComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content)`
  Simulate a call to createComponent2
  `PageSoapDO`
  `createPage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform)`
  Simulate a call to createPage
  `void`
  `deletePage(String sessionId, String pageId)`
  Simulate a call to deletePage
  `void`
  `deletePageComponent(String sessionId, String pageComponentId)`
  Simulate a call to deletePageComponent
  `void`
  `deletePageImage(String sessionId, String projectId, String attachmentId)`
  Simulate a call to deletePageImage
  `String`
  `getHTMLSource(com.vasoftware.sf.server.services.page.PageComponentDO htmlPageCompDO, String loggedInUser)`
  Simulate a call to getHTMLSource
  `PageComponent2SoapDO`
  `getPageComponent(String sessionId, String pageComponentId)`
  Simulate a call to getPageComponent
  `PageComponentSoapDO[]`
  `getPageComponents(String sessionId, String pageId)`
  Simulate a call to getPageComponents
  `PageSoapDO`
  `getPageData(String sessionId, String pageId)`
  Simulate a call to getPageData
  `String`
  `getPageImageUrl(String sessionId, String projectId, String attachmentId)`
  Simulate a call to getPageImageUrl
  `PageSoapList`
  `getPageList(String sessionId, String projectId)`
  Simulate a call to getPageList
  `String`
  `getTextComponentContent(String sessionId, String pageCompId)`
  Simulate a call to getTextComponentContent
  `boolean`
  `hasViewPermission(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.PageKey pageKey, String loggedInUser)`
  Simulate a call to hasViewPermission
  `AttachmentSoapList`
  `listPageImages(String sessionId, String projectId)`
  Simulate a call to listPageImages
  `void`
  `movePage(String sessionId, String pageFolderPath, String destPath)`
  Simulate a call to movePage
  `void`
  `prepareAddPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype, Object returnValue)`
  Prepare a simulated response to addPageImage
  `void`
  `prepareAssertAttributesNotEmpty(SoapNamedValues attributes)`
  Prepare a simulated response to assertAttributesNotEmpty
  `void`
  `prepareAssertAttributesNotEmpty(SoapNamedValues attributes, Exception exception)`
  Prepare a simulated response to assertAttributesNotEmpty
  `void`
  `prepareCreateComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content, Object returnValue)`
  Prepare a simulated response to createComponent
  `void`
  `prepareCreateComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content, Object returnValue)`
  Prepare a simulated response to createComponent2
  `void`
  `prepareCreatePage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform, Object returnValue)`
  Prepare a simulated response to createPage
  `void`
  `prepareDeletePage(String sessionId, String pageId)`
  Prepare a simulated response to deletePage
  `void`
  `prepareDeletePage(String sessionId, String pageId, Exception exception)`
  Prepare a simulated response to deletePage
  `void`
  `prepareDeletePageComponent(String sessionId, String pageComponentId)`
  Prepare a simulated response to deletePageComponent
  `void`
  `prepareDeletePageComponent(String sessionId, String pageComponentId, Exception exception)`
  Prepare a simulated response to deletePageComponent
  `void`
  `prepareDeletePageImage(String sessionId, String projectId, String attachmentId)`
  Prepare a simulated response to deletePageImage
  `void`
  `prepareDeletePageImage(String sessionId, String projectId, String attachmentId, Exception exception)`
  Prepare a simulated response to deletePageImage
  `void`
  `prepareGetHTMLSource(com.vasoftware.sf.server.services.page.PageComponentDO htmlPageCompDO, String loggedInUser, Object returnValue)`
  Prepare a simulated response to getHTMLSource
  `void`
  `prepareGetPageComponent(String sessionId, String pageComponentId, Object returnValue)`
  Prepare a simulated response to getPageComponent
  `void`
  `prepareGetPageComponents(String sessionId, String pageId, Object returnValue)`
  Prepare a simulated response to getPageComponents
  `void`
  `prepareGetPageData(String sessionId, String pageId, Object returnValue)`
  Prepare a simulated response to getPageData
  `void`
  `prepareGetPageImageUrl(String sessionId, String projectId, String attachmentId, Object returnValue)`
  Prepare a simulated response to getPageImageUrl
  `void`
  `prepareGetPageList(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getPageList
  `void`
  `prepareGetTextComponentContent(String sessionId, String pageCompId, Object returnValue)`
  Prepare a simulated response to getTextComponentContent
  `void`
  `prepareHasViewPermission(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.PageKey pageKey, String loggedInUser, Object returnValue)`
  Prepare a simulated response to hasViewPermission
  `void`
  `prepareListPageImages(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to listPageImages
  `void`
  `prepareMovePage(String sessionId, String pageFolderPath, String destPath)`
  Prepare a simulated response to movePage
  `void`
  `prepareMovePage(String sessionId, String pageFolderPath, String destPath, Exception exception)`
  Prepare a simulated response to movePage
  `void`
  `prepareSetComponentDisplayOrder(String sessionId, String pageId, String[] componentIds)`
  Prepare a simulated response to setComponentDisplayOrder
  `void`
  `prepareSetComponentDisplayOrder(String sessionId, String pageId, String[] componentIds, Exception exception)`
  Prepare a simulated response to setComponentDisplayOrder
  `void`
  `prepareSetLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content)`
  Prepare a simulated response to setLifecycleMetricComponentContent
  `void`
  `prepareSetLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content, Exception exception)`
  Prepare a simulated response to setLifecycleMetricComponentContent
  `void`
  `prepareSetPageComponentData(String sessionId, PageComponentSoapDO pageComponent)`
  Prepare a simulated response to setPageComponentData
  `void`
  `prepareSetPageComponentData(String sessionId, PageComponentSoapDO pageComponent, Exception exception)`
  Prepare a simulated response to setPageComponentData
  `void`
  `prepareSetPageData(String sessionId, PageSoapDO pageData)`
  Prepare a simulated response to setPageData
  `void`
  `prepareSetPageData(String sessionId, PageSoapDO pageData, Exception exception)`
  Prepare a simulated response to setPageData
  `void`
  `prepareSetPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds, Object returnValue)`
  Prepare a simulated response to setPageDisplayOrder
  `void`
  `prepareSetTextComponentContent(String sessionId, String pageCompId, String content)`
  Prepare a simulated response to setTextComponentContent
  `void`
  `prepareSetTextComponentContent(String sessionId, String pageCompId, String content, Exception exception)`
  Prepare a simulated response to setTextComponentContent
  `void`
  `prepareValidateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.NamedValues metricProperties, String loggedInUser)`
  Prepare a simulated response to validateMetricProperties
  `void`
  `prepareValidateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.NamedValues metricProperties, String loggedInUser, Exception exception)`
  Prepare a simulated response to validateMetricProperties
  `void`
  `setComponentDisplayOrder(String sessionId, String pageId, String[] componentIds)`
  Simulate a call to setComponentDisplayOrder
  `void`
  `setLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content)`
  Simulate a call to setLifecycleMetricComponentContent
  `void`
  `setPageComponentData(String sessionId, PageComponentSoapDO pageComponent)`
  Simulate a call to setPageComponentData
  `void`
  `setPageData(String sessionId, PageSoapDO pageData)`
  Simulate a call to setPageData
  `boolean`
  `setPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds)`
  Simulate a call to setPageDisplayOrder
  `void`
  `setTextComponentContent(String sessionId, String pageCompId, String content)`
  Simulate a call to setTextComponentContent
  `void`
  `validateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.NamedValues metricProperties, String loggedInUser)`
  Simulate a call to validateMetricProperties

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageAppSoapMockStub

    public PageAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareGetPageData

    public void prepareGetPageData(String sessionId, String pageId, Object returnValue)
    Prepare a simulated response to getPageData
    See Also:
      - `PageAppSoap.getPageData(java.lang.String, java.lang.String)`

  - ### getPageData

    public PageSoapDO getPageData(String sessionId, String pageId) throws RemoteException
    Simulate a call to getPageData
    Specified by:
      `getPageData` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the pageId for which data is to be fetched.
    Returns:
      the page data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.getPageData(java.lang.String, java.lang.String)`

  - ### prepareGetTextComponentContent

    public void prepareGetTextComponentContent(String sessionId, String pageCompId, Object returnValue)
    Prepare a simulated response to getTextComponentContent
    See Also:
      - `PageAppSoap.getTextComponentContent(java.lang.String, java.lang.String)`

  - ### getTextComponentContent

    public String getTextComponentContent(String sessionId, String pageCompId) throws RemoteException
    Simulate a call to getTextComponentContent
    Specified by:
      `getTextComponentContent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageCompId` - page component id for which the content/source is to be fetched.
    Returns:
      content of the text component as string
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `InvalidComponentTypeFault` - if the type of the component is not Text
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.getTextComponentContent(java.lang.String, java.lang.String)`

  - ### prepareSetTextComponentContent

    public void prepareSetTextComponentContent(String sessionId, String pageCompId, String content)
    Prepare a simulated response to setTextComponentContent
    See Also:
      - `PageAppSoap.setTextComponentContent(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareSetTextComponentContent

    public void prepareSetTextComponentContent(String sessionId, String pageCompId, String content, Exception exception)
    Prepare a simulated response to setTextComponentContent
    See Also:
      - `PageAppSoap.setTextComponentContent(java.lang.String, java.lang.String, java.lang.String)`

  - ### setTextComponentContent

    public void setTextComponentContent(String sessionId, String pageCompId, String content) throws RemoteException
    Simulate a call to setTextComponentContent
    Specified by:
      `setTextComponentContent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageCompId` - page component id for which the content/source is to be fetched.
      `content` - the new content
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `InvalidComponentTypeFault` - if the type of the component is not Text
      `VersionMismatchFault` - when component data is stale
      `IllegalArgumentFault` - for invalid content
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.setTextComponentContent(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareSetLifecycleMetricComponentContent

    public void prepareSetLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content)
    Prepare a simulated response to setLifecycleMetricComponentContent
    See Also:
      - `PageAppSoap.setLifecycleMetricComponentContent(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageComponent2SoapDO, java.lang.String)`

  - ### prepareSetLifecycleMetricComponentContent

    public void prepareSetLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content, Exception exception)
    Prepare a simulated response to setLifecycleMetricComponentContent
    See Also:
      - `PageAppSoap.setLifecycleMetricComponentContent(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageComponent2SoapDO, java.lang.String)`

  - ### setLifecycleMetricComponentContent

    public void setLifecycleMetricComponentContent(String sessionId, PageComponent2SoapDO pageComponent, String content) throws RemoteException
    Simulate a call to setLifecycleMetricComponentContent
    Specified by:
      `setLifecycleMetricComponentContent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponent` - the page component to be updated.
      `content` - the html content
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `InvalidComponentTypeFault` - if the type of the component is not metrics
      `VersionMismatchFault` - when component data is stale
      `IllegalArgumentFault` - for invalid content
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.setLifecycleMetricComponentContent(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageComponent2SoapDO, java.lang.String)`

  - ### prepareGetPageList

    public void prepareGetPageList(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getPageList
    See Also:
      - `PageAppSoap.getPageList(java.lang.String, java.lang.String)`

  - ### getPageList

    public PageSoapList getPageList(String sessionId, String projectId) throws RemoteException
    Simulate a call to getPageList
    Specified by:
      `getPageList` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - the project for which the pages are to be fetched
    Returns:
      list of pages for the user in the project
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.getPageList(java.lang.String, java.lang.String)`

  - ### prepareCreatePage

    public void prepareCreatePage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform, Object returnValue)
    Prepare a simulated response to createPage
    See Also:
      - `PageAppSoap.createPage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

  - ### createPage

    public PageSoapDO createPage(String sessionId, String projectId, String parentId, String title, boolean visible, boolean freeform) throws RemoteException
    Simulate a call to createPage
    Specified by:
      `createPage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Id of the project in which the page is to be created
      `parentId` - parent folder id under which the page is to be created
      `title` - title of the page
      `visible` - visibility of the page
      `freeform` - true if the page link must be hidden in the left navigation
    Returns:
      the newly created page
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `ObjectAlreadyExistsFault` - If a page with the same name already exists in the project
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.createPage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

  - ### prepareSetPageData

    public void prepareSetPageData(String sessionId, PageSoapDO pageData)
    Prepare a simulated response to setPageData
    See Also:
      - `PageAppSoap.setPageData(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageSoapDO)`

  - ### prepareSetPageData

    public void prepareSetPageData(String sessionId, PageSoapDO pageData, Exception exception)
    Prepare a simulated response to setPageData
    See Also:
      - `PageAppSoap.setPageData(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageSoapDO)`

  - ### setPageData

    public void setPageData(String sessionId, PageSoapDO pageData) throws RemoteException
    Simulate a call to setPageData
    Specified by:
      `setPageData` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageData` - the page to be edited.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `VersionMismatchFault` - when page data is stale
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.setPageData(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageSoapDO)`

  - ### prepareGetPageComponents

    public void prepareGetPageComponents(String sessionId, String pageId, Object returnValue)
    Prepare a simulated response to getPageComponents
    See Also:
      - `PageAppSoap.getPageComponents(java.lang.String, java.lang.String)`

  - ### getPageComponents

    public PageComponentSoapDO[] getPageComponents(String sessionId, String pageId) throws RemoteException
    Simulate a call to getPageComponents
    Specified by:
      `getPageComponents` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page from which to get the list of components
    Returns:
      array of page components
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.getPageComponents(java.lang.String, java.lang.String)`

  - ### prepareDeletePage

    public void prepareDeletePage(String sessionId, String pageId)
    Prepare a simulated response to deletePage
    See Also:
      - `PageAppSoap.deletePage(java.lang.String, java.lang.String)`

  - ### prepareDeletePage

    public void prepareDeletePage(String sessionId, String pageId, Exception exception)
    Prepare a simulated response to deletePage
    See Also:
      - `PageAppSoap.deletePage(java.lang.String, java.lang.String)`

  - ### deletePage

    public void deletePage(String sessionId, String pageId) throws RemoteException
    Simulate a call to deletePage
    Specified by:
      `deletePage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the page to be deleted.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `CannotDeleteHomePageFault` - when the user tries to delete the home page.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.deletePage(java.lang.String, java.lang.String)`

  - ### prepareDeletePageComponent

    public void prepareDeletePageComponent(String sessionId, String pageComponentId)
    Prepare a simulated response to deletePageComponent
    See Also:
      - `PageAppSoap.deletePageComponent(java.lang.String, java.lang.String)`

  - ### prepareDeletePageComponent

    public void prepareDeletePageComponent(String sessionId, String pageComponentId, Exception exception)
    Prepare a simulated response to deletePageComponent
    See Also:
      - `PageAppSoap.deletePageComponent(java.lang.String, java.lang.String)`

  - ### deletePageComponent

    public void deletePageComponent(String sessionId, String pageComponentId) throws RemoteException
    Simulate a call to deletePageComponent
    Specified by:
      `deletePageComponent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponentId` - the id of the page component to be deleted.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the specified page id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.deletePageComponent(java.lang.String, java.lang.String)`

  - ### prepareSetComponentDisplayOrder

    public void prepareSetComponentDisplayOrder(String sessionId, String pageId, String[] componentIds)
    Prepare a simulated response to setComponentDisplayOrder
    See Also:
      - `PageAppSoap.setComponentDisplayOrder(java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareSetComponentDisplayOrder

    public void prepareSetComponentDisplayOrder(String sessionId, String pageId, String[] componentIds, Exception exception)
    Prepare a simulated response to setComponentDisplayOrder
    See Also:
      - `PageAppSoap.setComponentDisplayOrder(java.lang.String, java.lang.String, java.lang.String[])`

  - ### setComponentDisplayOrder

    public void setComponentDisplayOrder(String sessionId, String pageId, String[] componentIds) throws RemoteException
    Simulate a call to setComponentDisplayOrder
    Specified by:
      `setComponentDisplayOrder` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page where the components belong
      `componentIds` - ids of component in the order which is to be set
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.setComponentDisplayOrder(java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareCreateComponent

    public void prepareCreateComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content, Object returnValue)
    Prepare a simulated response to createComponent
    See Also:
      - `PageAppSoap.createComponent(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, int, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

  - ### createComponent

    public PageComponentSoapDO createComponent(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content) throws RemoteException
    Simulate a call to createComponent
    Specified by:
      `createComponent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page where the component is to be created.
      `compName` - component name
      `componentType` - component type.
      `topOfPage` - true if the component is to be created at top of the page
      `visibility` - defines the visibility of this component, 1= visible, 0 = hidden.
      `attributes` - component attributes.
      `content` - text component content, applicable for Text components and Lifecycle metrics components.
    Returns:
      the newly created component
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `IllegalArgumentFault` - for incorrect parameter values
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `ObjectAlreadyExistsFault` - If a component with the same name already exists in the page
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.createComponent(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, int, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

  - ### prepareCreateComponent2

    public void prepareCreateComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content, Object returnValue)
    Prepare a simulated response to createComponent2
    See Also:
      - `PageAppSoap.createComponent2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, int, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

  - ### createComponent2

    public PageComponent2SoapDO createComponent2(String sessionId, String pageId, String compName, String componentType, boolean topOfPage, int visibility, SoapNamedValues attributes, String content) throws RemoteException
    Simulate a call to createComponent2
    Specified by:
      `createComponent2` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageId` - the id of the page where the component is to be created.
      `compName` - component name
      `componentType` - component type.
      `topOfPage` - true if the component is to be created at top of the page
      `visibility` - defines the visibility of this component, 1= visible, 0 = hidden.
      `attributes` - component attributes.
      `content` - text component content, applicable for Text components and Lifecycle metrics components.
    Returns:
      the newly created component
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `IllegalArgumentFault` - for incorrect parameter values
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `ObjectAlreadyExistsFault` - If a component with the same name already exists in the page
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.createComponent2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, int, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

  - ### prepareSetPageComponentData

    public void prepareSetPageComponentData(String sessionId, PageComponentSoapDO pageComponent)
    Prepare a simulated response to setPageComponentData
    See Also:
      - `PageAppSoap.setPageComponentData(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageComponentSoapDO)`

  - ### prepareSetPageComponentData

    public void prepareSetPageComponentData(String sessionId, PageComponentSoapDO pageComponent, Exception exception)
    Prepare a simulated response to setPageComponentData
    See Also:
      - `PageAppSoap.setPageComponentData(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageComponentSoapDO)`

  - ### setPageComponentData

    public void setPageComponentData(String sessionId, PageComponentSoapDO pageComponent) throws RemoteException
    Simulate a call to setPageComponentData
    Specified by:
      `setPageComponentData` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponent` - the page component to be updated.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified page id is invalid.
      `PermissionDeniedFault` - when the specified page id is invalid.
      `VersionMismatchFault` - when the component data is stale.
      `IllegalArgumentFault` - for incorrect data.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.setPageComponentData(java.lang.String, com.collabnet.ce.soap60.webservices.page.PageComponentSoapDO)`

  - ### prepareAssertAttributesNotEmpty

    public void prepareAssertAttributesNotEmpty(SoapNamedValues attributes)
    Prepare a simulated response to assertAttributesNotEmpty
    See Also:
      - `PageAppSoap.assertAttributesNotEmpty(com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### prepareAssertAttributesNotEmpty

    public void prepareAssertAttributesNotEmpty(SoapNamedValues attributes, Exception exception)
    Prepare a simulated response to assertAttributesNotEmpty
    See Also:
      - `PageAppSoap.assertAttributesNotEmpty(com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### assertAttributesNotEmpty

    public void assertAttributesNotEmpty(SoapNamedValues attributes) throws RemoteException
    Simulate a call to assertAttributesNotEmpty
    Throws:
      `RemoteException`
    See Also:
      - `PageAppSoap.assertAttributesNotEmpty(com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### prepareValidateMetricProperties

    public void prepareValidateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.NamedValues metricProperties, String loggedInUser)
    Prepare a simulated response to validateMetricProperties
    See Also:
      - `PageAppSoap.validateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.NamedValues, java.lang.String)`

  - ### prepareValidateMetricProperties

    public void prepareValidateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.NamedValues metricProperties, String loggedInUser, Exception exception)
    Prepare a simulated response to validateMetricProperties
    See Also:
      - `PageAppSoap.validateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.NamedValues, java.lang.String)`

  - ### validateMetricProperties

    public void validateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.NamedValues metricProperties, String loggedInUser) throws RemoteException
    Simulate a call to validateMetricProperties
    Throws:
      `RemoteException`
    See Also:
      - `PageAppSoap.validateMetricProperties(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.NamedValues, java.lang.String)`

  - ### prepareGetHTMLSource

    public void prepareGetHTMLSource(com.vasoftware.sf.server.services.page.PageComponentDO htmlPageCompDO, String loggedInUser, Object returnValue)
    Prepare a simulated response to getHTMLSource
    See Also:
      - `PageAppSoap.getHTMLSource(com.vasoftware.sf.server.services.page.PageComponentDO, java.lang.String)`

  - ### getHTMLSource

    public String getHTMLSource(com.vasoftware.sf.server.services.page.PageComponentDO htmlPageCompDO, String loggedInUser) throws RemoteException
    Simulate a call to getHTMLSource
    Throws:
      `RemoteException`
    See Also:
      - `PageAppSoap.getHTMLSource(com.vasoftware.sf.server.services.page.PageComponentDO, java.lang.String)`

  - ### prepareHasViewPermission

    public void prepareHasViewPermission(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.PageKey pageKey, String loggedInUser, Object returnValue)
    Prepare a simulated response to hasViewPermission
    See Also:
      - `PageAppSoap.hasViewPermission(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.FolderPath, com.vasoftware.sf.server.types.PageKey, java.lang.String)`

  - ### hasViewPermission

    public boolean hasViewPermission(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.PageKey pageKey, String loggedInUser) throws RemoteException
    Simulate a call to hasViewPermission
    Throws:
      `RemoteException`
    See Also:
      - `PageAppSoap.hasViewPermission(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.FolderPath, com.vasoftware.sf.server.types.PageKey, java.lang.String)`

  - ### prepareSetPageDisplayOrder

    public void prepareSetPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds, Object returnValue)
    Prepare a simulated response to setPageDisplayOrder
    See Also:
      - `PageAppSoap.setPageDisplayOrder(java.lang.String, java.lang.String, java.lang.String[])`

  - ### setPageDisplayOrder

    public boolean setPageDisplayOrder(String sessionId, String folderId, String[] childrenPageIds) throws RemoteException
    Simulate a call to setPageDisplayOrder
    Specified by:
      `setPageDisplayOrder` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `folderId` - the folder to be used.
      `childrenPageIds` - page keys in the new intended order based on array order must pass in all pages.
    Returns:
      true is the update went perfectly
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.setPageDisplayOrder(java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareMovePage

    public void prepareMovePage(String sessionId, String pageFolderPath, String destPath)
    Prepare a simulated response to movePage
    See Also:
      - `PageAppSoap.movePage(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareMovePage

    public void prepareMovePage(String sessionId, String pageFolderPath, String destPath, Exception exception)
    Prepare a simulated response to movePage
    See Also:
      - `PageAppSoap.movePage(java.lang.String, java.lang.String, java.lang.String)`

  - ### movePage

    public void movePage(String sessionId, String pageFolderPath, String destPath) throws RemoteException
    Simulate a call to movePage
    Specified by:
      `movePage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageFolderPath` - The path to the page to move
      `destPath` - The path of the destination parent folder
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified folder component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.movePage(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareAddPageImage

    public void prepareAddPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype, Object returnValue)
    Prepare a simulated response to addPageImage
    See Also:
      - `PageAppSoap.addPageImage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### addPageImage

    public String addPageImage(String sessionId, String projectId, String fileId, String filename, String mimetype) throws RemoteException
    Simulate a call to addPageImage
    Specified by:
      `addPageImage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `fileId` - Image file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
      `filename` - Image file name.
      `mimetype` - Image file type.
    Returns:
      attachment id of the added image
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.addPageImage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareListPageImages

    public void prepareListPageImages(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to listPageImages
    See Also:
      - `PageAppSoap.listPageImages(java.lang.String, java.lang.String)`

  - ### listPageImages

    public AttachmentSoapList listPageImages(String sessionId, String projectId) throws RemoteException
    Simulate a call to listPageImages
    Specified by:
      `listPageImages` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of page images as AttachmentSoapList.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.listPageImages(java.lang.String, java.lang.String)`

  - ### prepareGetPageImageUrl

    public void prepareGetPageImageUrl(String sessionId, String projectId, String attachmentId, Object returnValue)
    Prepare a simulated response to getPageImageUrl
    See Also:
      - `PageAppSoap.getPageImageUrl(java.lang.String, java.lang.String, java.lang.String)`

  - ### getPageImageUrl

    public String getPageImageUrl(String sessionId, String projectId, String attachmentId) throws RemoteException
    Simulate a call to getPageImageUrl
    Specified by:
      `getPageImageUrl` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `attachmentId` - Attachment id of the image.
    Returns:
      the relative URL for the image.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.getPageImageUrl(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareDeletePageImage

    public void prepareDeletePageImage(String sessionId, String projectId, String attachmentId)
    Prepare a simulated response to deletePageImage
    See Also:
      - `PageAppSoap.deletePageImage(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareDeletePageImage

    public void prepareDeletePageImage(String sessionId, String projectId, String attachmentId, Exception exception)
    Prepare a simulated response to deletePageImage
    See Also:
      - `PageAppSoap.deletePageImage(java.lang.String, java.lang.String, java.lang.String)`

  - ### deletePageImage

    public void deletePageImage(String sessionId, String projectId, String attachmentId) throws RemoteException
    Simulate a call to deletePageImage
    Specified by:
      `deletePageImage` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `attachmentId` - The attachment id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.deletePageImage(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetPageComponent

    public void prepareGetPageComponent(String sessionId, String pageComponentId, Object returnValue)
    Prepare a simulated response to getPageComponent
    See Also:
      - `PageAppSoap.getPageComponent(java.lang.String, java.lang.String)`

  - ### getPageComponent

    public PageComponent2SoapDO getPageComponent(String sessionId, String pageComponentId) throws RemoteException
    Simulate a call to getPageComponent
    Specified by:
      `getPageComponent` in interface `IPageAppSoap`
    Parameters:
      `sessionId` - User session id.
      `pageComponentId` - the id of the page component from which to get the component
    Returns:
      page component
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified page component id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PageAppSoap.getPageComponent(java.lang.String, java.lang.String)`